Last Comment Bug 793943 - expose an API to close flyouts
: expose an API to close flyouts
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Mark Hammond [:markh]
:
: Shane Caraveo (:mixedpuppy)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 19:05 PDT by Mark Hammond [:markh]
Modified: 2012-10-16 16:05 PDT (History)
3 users (show)
markh: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Add mozSocial.closePanel() api (3.12 KB, patch)
2012-09-24 20:06 PDT, Mark Hammond [:markh]
mixedpuppy: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mark Hammond [:markh] 2012-09-24 19:05:22 PDT
Providers can open flyouts but currently can not close them - they need this ability.
Comment 1 Mark Hammond [:markh] 2012-09-24 20:06:10 PDT
Created attachment 664332 [details] [diff] [review]
Add mozSocial.closePanel() api

As described, with tests.  Also snuck in a call to panel.hidePopup() on SocialFlyout.unload as briefly discussed on IRC.
Comment 3 Mounir Lamouri (:mounir) 2012-09-26 04:04:28 PDT
https://hg.mozilla.org/mozilla-central/rev/6777e8ca792b
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-02 18:20:05 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/8d47e5b7c5da

Note You need to log in before you can comment on or make changes to this bug.